/* BEGIN HEADER */
header .navbar {
  padding: 2rem 1rem;
}

.navbar-brand img {
  max-width: 200px;
  height: auto;
}

header .search-block-form input {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

header .search-block-form button {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
  color: #000000;
}

header #search-block-form {
  padding: 5px;
}

@media (max-width: 767px) {
  header .navbar {
    justify-content: center;
  }

  header .navbar img {
    margin-bottom: 2rem;
  }

  header .search-block-form .form-control {
    width: 50vw;
  }
}

#toggle-edition-wrapper {
  position: absolute;
  height: 100%;
  right: 10px;
  padding-top: 10px;
  z-index: 100;
}
/* END HEADER */

/* BEGIN NAV */
header #CollapsingNavbar {
  justify-content: center;
  max-width: 1278px;
  background-color: #272727;
}

#navbar-main {
  padding: 0;
}

#navbar-main ul.dropdown-menu {
  width: 244px;
}

#navbar-main ul.dropdown-menu ul.dropdown-menu {
  left: 244px;
  width: auto;
}

#navbar-main ul .dropdown-item a {
  width: 100%;
  display: block;
  padding-top: 0;
  padding-bottom: 0;
}

#navbar-main ul a,
#navbar-main ul .dropdown-item {
  color: #ffffff;
  padding: 0.7rem 0.9rem;
}

#navbar-main ul a:hover,
#navbar-main ul .dropdown-item:hover,
#navbar-main ul .dropdown-item:active,
#navbar-main ul .dropdown-item.active {
  text-decoration: none;
  background: #515e66;
}

#navbar-main .dropdown-item.menu-item--expanded.dropdown .dropdown-menu.show {
  top: -24%;
}

#navbar-main ul .dropdown-item a:after {
  transition: transform 200ms ease-in-out;
}

#navbar-main ul .dropdown-item:hover a:after {
  transform: rotate(-90deg);
}

/* Mobile behavior */
@media (max-width: 544px) {
  header #CollapsingNavbar {
    max-width: 90%;
  }

  header #CollapsingNavbar .navbar-nav {
    overflow-y: auto;
  }
}

@media (max-width: 990px) {
  .navbar-expand-lg {
    background-color: #272727;
  }

  #navbar-main .nav-item.menu-item--expanded.dropdown ul.dropdown-menu {
    /* background: #666666; */
    /* border: #fff 2px solid; */
    min-width: 300px;
    border: none;
    z-index: 2;
    margin-left: 1rem;
  }

  #navbar-main .dropdown-item.menu-item--expanded.dropdown ul.dropdown-menu {
    /* background: #888888; */
    /* border: #fff 2px solid; */
    background: none;
    min-width: 300px;
    z-index: 3;
    margin-top: 10px;
    margin-left: 1rem;
  }

  #navbar-main ul .dropdown-item:hover a:after {
    transform: none;
  }

  #navbar-main .dropdown-menu {
    border-radius: 0;
  }
}

#hamburger-btn {
  border: 0;
  outline: none;
  padding-top: 10px;
}

.animated-hamburger {
  width: 30px;
  height: 30px;
  position: relative;
  margin: 0px;
  transform: rotate(0deg);
  transition: 0.5s ease-in-out;
  cursor: pointer;
  display: block;
}

.animated-hamburger span {
  display: block;
  position: absolute;
  background: #ffffff;
  height: 3px;
  width: 100%;
  border-radius: 9px;
  opacity: 1;
  left: 0;
  transform: rotate(0deg);
  transition: 0.25s ease-in-out;
}

.animated-hamburger span:nth-child(1) {
  top: 0px;
}

.animated-hamburger span:nth-child(2),
.animated-hamburger span:nth-child(3) {
  top: 10px;
}

.animated-hamburger span:nth-child(4) {
  top: 20px;
}

.animated-hamburger.open span:nth-child(1) {
  top: 11px;
  width: 0%;
  left: 50%;
}

.animated-hamburger.open span:nth-child(2) {
  transform: rotate(45deg);
}

.animated-hamburger.open span:nth-child(3) {
  transform: rotate(-45deg);
}

.animated-hamburger.open span:nth-child(4) {
  top: 11px;
  width: 0%;
  left: 50%;
}
/* END NAV */

/* BEGIN BREADCRUMB */
.breadcrumb {
  padding: 0;
  overflow: hidden;
  background: white;
  margin-bottom: 2rem;
}
.breadcrumb li {
  height: 40px;
  list-style-type: none;
  padding: 5px 5px 5px 30px;
  border-right: 3px solid white;
  position: relative;
  background-color: #bbbbbb;
}
.breadcrumb li a {
  color: white;
  text-decoration: none;
  padding: 3px 2px 3px 20px;
  white-space: nowrap;
}
.breadcrumb li:first-child {
  padding-left: 0px;
}
.breadcrumb li:first-child a {
  padding-left: 15px;
}
.breadcrumb li:not(:first-child)::before {
  position: absolute;
  top: 0;
  left: 0;
  display: block;
  border-left: 15px solid white;
  border-top: 20px solid transparent;
  border-bottom: 20px solid transparent;
  width: 0;
  height: 0;
  content: " ";
}
.breadcrumb li::after {
  z-index: 1;
  position: absolute;
  top: 0;
  right: -15px;
  display: block;
  border-left: 15px solid #bbbbbb;
  border-top: 20px solid transparent;
  border-bottom: 20px solid transparent;
  width: 0;
  height: 0;
  content: " ";
}
.breadcrumb li::after {
  border-left-color: #bbbbbb;
}
.breadcrumb li:hover {
  background-color: #515e66;
}
.breadcrumb li:hover::after {
  border-left-color: #515e66;
}
.breadcrumb li:last-child {
  background-color: #515e66;
}
.breadcrumb li:last-child:after {
  border-left-color: #515e66;
}
/* END BREADCRUMB */

/* BEGIN LOGIN PAGE */
/* "Log in" & "Reset your password" tabs */
.path-user .tabs .nav-item a {
  background-color: #bbbbbb;
  text-decoration: none;
  color: white;
  border-color: #dee2e6 #dee2e6 #fff;
}
.path-user .tabs .active.nav-item a {
  background-color: #515e66;
  text-decoration: none;
  color: white;
}
/* "Log in" button */
.path-user #edit-actions {
  display: inline-flex;
  float: left;
}
/* "Federated login" button */
.path-user #edit-simplesamlphp-auth-login-link {
  text-decoration: none;
  color: white;
  background-color: #515e66;
  height: 38px;
  line-height: 35px;
  border: 1px solid transparent;
  border-radius: 0.25rem;
  display: inline-block;
  padding: 0px 12px;
  margin-left: 25px;
}
.path-user #edit-simplesamlphp-auth-login-link:hover {
  background-color: #272727;
  border-color: #0062cc;
}
/* END LOGIN PAGE */

/* BEGIN BANNER RANDOM IMAGE */
.view-banner-random img {
  max-width: 100%;
  height: auto;
  max-height: 450px;
  object-fit: cover;
}
/* END BANNER RANDOM IMAGE */

/*BEGIN MAIN CONTAINER*/
#page {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

.row {
  justify-content: center;
}

#main-wrapper {
  margin: 2rem 0 3rem 0;
  flex: 1;
}

h1 {
  margin-bottom: 2rem;
}
/*END MAIN CONTAINER*/

/* BEGIN Custom blocks on the home page */
/*Hide the Quick edit on the homepage*/
.home-page-custom-blocks .tabs,
.layout-main-wrapper .main-content article[about="/home"] {
  display: none;
}

.home-page-custom-blocks {
  display: flex;
}

.cpc-history-block,
.cpc-news-block {
  padding: 1.5em;
  flex: 1;
}

.cpc-history-block .field--name-field-title,
.cpc-news-block .field--name-field-title {
  font-size: 22px;
  font-weight: normal;
}

.cpc-history-block .field--name-body,
.cpc-news-block .field--name-body {
  line-height: 1.7em;
}

.cpc-history-block a,
.cpc-news-block a {
  text-decoration: underline;
  line-height: 1.7em;
}

.cpc-history-block .field--name-field-title,
.cpc-history-block .field--name-body,
.cpc-history-block a,
.cpc-news-block .field--name-field-title,
.cpc-news-block .field--name-body,
.cpc-news-block a {
  color: #ffffff;
}

.cpc-news-block .field--name-field-title,
.cpc-news-block .field--name-body,
.cpc-news-block a {
  color: #666666;
}

.cpc-history-block {
  background-color: #3b464d;
}

.cpc-news-block {
  background-color: #cccccc;
}

@media screen and (max-width: 760px) {
  .home-page-custom-blocks {
    display: block;
  }
}
/* END Custom blocks on the home page */

/* BEGIN STANDARD PAGE */
.node--type-page video,
.node--type-page iframe,
.node--type-page article img {
  max-width: 100%;
  height: auto;
}
@media (min-width: 560px) {
  .node--type-page video,
  .node--type-page iframe {
    padding: 0 1em 0 0;
  }
}

.node--type-page iframe {
  aspect-ratio: 16 / 9;
}

.block-system-main-block a,
.block-block-content a {
  text-decoration: underline;
}
/* END STANDARD PAGE */

/* BEGIN NEWS PAGE */
.view-news-page .view-content {
  margin-left: 0;
  margin-right: 0;
}

.view-news-page .card-group {
  display: -ms-flexbox;
  display: flex;
  flex-flow: column wrap;
}

.view-news-page .card-group .card,
.card-group .card:not(:first-child),
.card-group .card:not(:last-child) {
  margin-bottom: 2rem;
  border: 1px solid #515e66;
  border-radius: 0.25rem;
}

.view-news-page .card-group .card-header {
  background-color: #515e66;
}

.view-news-page .card-group .card-header a {
  color: #ffffff;
  font-weight: bold;
}

.view-news-page .card-group .card-body {
  padding: 0.7rem 1.25rem;
}

.view-news-page .card-group .news-date {
  font-weight: bold;
}

.view-news-page .pagination {
  justify-content: center;
}

.feed-icon {
  overflow: inherit;
  text-indent: 0px;
  width: auto;
  padding: 0px 0 0 25px;
  font-size: 14px;
  margin-bottom: 20px;
}
/* END NEWS PAGE */

/*BEGIN SIDEBAR MENU*/
.sidebar .sidebar-menu {
  padding-top: 0;
  padding-bottom: 0;
}

.sidebar-menu ul {
  flex-direction: column;
}

.sidebar-menu ul a {
  color: #515d66;
}

.sidebar-menu ul .is-active {
  background-color: #515d66;
  color: #ffffff;
}

.sidebar-menu ul a:hover {
  background-color: #e9ecef;
  color: #515d66;
}
/*END SIDEBAR MENU*/

/*BEGIN MODERATION SIDEBAR*/
.moderation-sidebar-secondary-tasks,
.ui-dialog-off-canvas
  #drupal-off-canvas-wrapper
  .moderation-sidebar-link.button:not(.button--primary):not(.button--danger) {
  display: none;
}

.ui-dialog-titlebar.ui-corner-all.ui-widget-header.ui-helper-clearfix {
  background: #272727;
}

#drupal-off-canvas-wrapper.ui-front.ui-dialog-content.ui-widget-content {
  background: #e6e6e6;
}

#drupal-off-canvas-wrapper label,
.moderation-sidebar-info {
  color: #000000;
}

.ui-dialog-off-canvas
  #drupal-off-canvas-wrapper
  #publish.moderation-sidebar-link.button--primary,
.ui-dialog-off-canvas
  #drupal-off-canvas-wrapper
  #create_new_draft.moderation-sidebar-link.button--primary,
.ui-dialog-off-canvas
  #drupal-off-canvas-wrapper
  #archive.moderation-sidebar-link.button--primary,
.ui-dialog-off-canvas
  #drupal-off-canvas-wrapper
  #archived_draft.moderation-sidebar-link.button--primary,
.ui-dialog-off-canvas
  #drupal-off-canvas-wrapper
  #archived_published.moderation-sidebar-link.button--primary {
  border-color: #3b464d;
  color: #000000;
  background: #ffffff;
}

.ui-dialog-off-canvas
  #drupal-off-canvas-wrapper
  #publish.moderation-sidebar-link.button--primary:hover,
.ui-dialog-off-canvas
  #drupal-off-canvas-wrapper
  #create_new_draft.moderation-sidebar-link.button--primary:hover,
.ui-dialog-off-canvas
  #drupal-off-canvas-wrapper
  #archive.moderation-sidebar-link.button--primary:hover,
.ui-dialog-off-canvas
  #drupal-off-canvas-wrapper
  #archived_draft.moderation-sidebar-link.button--primary:hover,
.ui-dialog-off-canvas
  #drupal-off-canvas-wrapper
  #archived_published.moderation-sidebar-link.button--primary:hover {
  background: #cccccc;
  color: #000000;
}

.ui-dialog-off-canvas
  #drupal-off-canvas-wrapper
  .moderation-sidebar-link.button.button--danger {
  width: fit-content;
}
/*END MODERATION SIDEBAR*/

/* BEGIN FOOTER */
.site-footer,
.site-footer .region-footer-fifth {
  padding: 0;
  margin: 0;
}

.site-footer__bottom .block {
  width: 100%;
}

.site-footer__bottom {
  margin-top: 0;
  border: none;
}

.site-footer .navbar-nav {
  flex-direction: row;
  justify-content: center;
}

.site-footer .navbar-nav .nav-item {
  margin-left: 20px;
  margin-right: 20px;
}

.site-footer .navbar-nav .nav-item a {
  color: #ffffff;
}

.copyright {
  color: #d2d2d2;
  text-align: center;
  font-size: 12px;
}

/*BEGIN SITEMAP*/
.sitemap {
  margin-left: 1.5rem;
}
.sitemap .nav {
  display: block;
  list-style: disc;
}
.sitemap .nav li a {
  line-height: 1.7em;
}
.sitemap .nav li a:hover {
  text-decoration: underline;
}
.sitemap .nav-link {
  padding: 0;
  display: initial;
}
/*END SITEMAP*/

/* BEGIN FOOTER LOGO */
.footer-logo {
  width: 100%;
  margin-bottom: 5px;
}

.footer-logo img {
  margin: 0 1em;
}

.footer-logo img[alt="EPO"] {
  height: 28px;
}

.footer-logo img[alt="USPTO"] {
  height: 28px;
}
/* END FOOTER LOGO */
/* END FOOTER */

/* OVERRIDE CONTAINER ON HOMEPAGE */
@media (min-width: 1278px) {
  .container {
    max-width: 1278px;
    padding-left: 0;
    padding-right: 0;
  }
}

@media (max-width: 1278px) {
  .path-frontpage #main .col {
    padding-left: 0px;
    padding-right: 0px;
  }
}

/*BEGIN SEARCH PAGE*/
#views-exposed-form-search-results-page-search .form-row > fieldset,
#views-exposed-form-search-results-page-search .form-row > div {
  padding: 0;
}

#views-exposed-form-search-results-page-search input {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

#views-exposed-form-search-results-page-search button {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}
/*END SEARCH PAGE*/

/*BEGIN ACCORDION*/
.ckeditor-accordion-container > dl {
  border-color: #3b464d;
}

.ckeditor-accordion-container > dl dt.active > a,
.ckeditor-accordion-container > dl dt > a {
  background-color: #3b464d;
  border-color: #3b464d;
}

.ckeditor-accordion-container > dl dt > a:hover {
  background-color: #272727;
}

.ckeditor-accordion-container > dl dd {
  padding: 15px;
}
/*END ACCORDION*/

/*Button color */
.btn-primary:not(:disabled):not(.disabled).active,
.btn-primary:not(:disabled):not(.disabled):active,
.show > .btn-primary.dropdown-toggle {
  background-color: #515e66;
  border-color: #515e66;
}

/*BEGIN COOKIE BANNER*/
.eu-cookie-compliance-message p {
  display: block;
}

.eu-cookie-compliance-message a,
.eu-cookie-compliance-message a:hover {
  color: #ffffff;
  text-decoration: underline;
}
/*END COOKIE BANNER*/

/*BEGIN MODERATION TOOLBAR WCM2DRU-525*/
#content-moderation-entity-moderation-form .entity-moderation-form {
  padding: 1rem;
  display: flex;
  justify-content: space-around;
  align-items: center;
}

#content-moderation-entity-moderation-form fieldset {
  display: flex;
  flex-direction: column;
  border: 0;
  margin: 0 !important;
}

#content-moderation-entity-moderation-form label {
  font-weight: bold;
}

#content-moderation-entity-moderation-form #edit-new-state {
  border-radius: 5px;
  padding: 5px;
  border: 1px solid #ced4da;
}
/*END MODERATION TOOLBAR WCM2DRU-525*/
